%  modelit.mapviewer.AbstractTileSource/AbstractTileSource is a constructor.   
%      obj = modelit.mapviewer.AbstractTileSource   
%   
%   
%  modelit.mapviewer.AbstractTileSource Properties:   
%    numberOfThreads - Number of threads that can be used to download the tiles.   
%    minZoomLevel    - Minimum (lowest detail) zoomlevel.   
%    maxZoomLevel    - Maximum (greatest detail) zoomlevel.   
%    baseUrl         - The tile url without parameters.   
%    tileUrl         - The part of the url that defines which tile to retrieve.   
%    name            - The name of the tilesource.   
%    tileType        - The image type of the tiles.   
%    isWGS           - Return true if WGS coordinate.   
%   
%  modelit.mapviewer.AbstractTileSource Methods:   
%    WGSToLocal         - (Abstract) Transform WGS to local coordinates   
%    localToWGS         - (Abstract) Transform local coordinates to WGS   
%    localToPixel       - (Abstract) Transform local coordinates to pixel coordinates, all in 1   
%    pixelToLocal       - (Abstract) Transform pixel coordinates to local coordinates, all in 1   
%    YToLat             - (Abstract) Transform y-coordinate in pixels to second local coordinate.   
%    XToLon             - (Abstract) Transform x-coordinate in pixels to first local coordinate.   
%    LatToY             - (Abstract) Transform local y coordinate to y-coordinate in pixels.   
%    LonToX             - (Abstract) Transform local x coordinate to x-coordinate in pixels.   
%    getMaxPixels       - (Abstract) Get the maximum number of pixels in y or x for a zoomlevel.   
%    getTileSize        - (Abstract) Get the size (height and width) of each tile in pixels   
%    getTileUrl         - Get url to retrieve a specific tile at a given (x,y) index   
%    getBaseUrl         - Get the base url for this TileSource, use this with getTileUrl.   
%    getTileType        - Get the image type of the tiles.   
%    getMinZoomLevel    - The minimum zoom value. This value is usually 0.   
%    getMaxZoomLevel    - The maximum zoom value.   
%    getName            - Get name that uniquely identifies this tilesource.   
%    AbstractTileSource - modelit.mapviewer.AbstractTileSource/AbstractTileSource is a constructor.   
%   
%  NOTE:   
%    Help automatically generated by classHelp (22-Nov-2021 12:33:46)   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
