%    Create an HttpRequest.   
%   
%    CALL:   
%        obj = HttpRequest(method, url)   
%   
%    INPUT:   
%        method: <string>   
%          The http method, e.g. 'POST', 'GET' or 'PUT'   
%          See: https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods   
%        url: <string>   
%          The destination url.   
%   
%    OUTPUT:   
%        obj: <modelit.web.client.HttpRequest>   
%   
%   
%  modelit.web.client.HttpRequest Properties:   
%    body                      - The payload.   
%    connecttimeout            - Milliseconds for connection timeout.   
%    headers                   - The request headers.   
%    parameters                - The query parameters.   
%    method                    - The http request method,   
%    timeout                   - Milliseconds for response timeout.   
%    url                       - The destination url.   
%    InitializedCallback       - Callback triggered when the request is sent.   
%    CompletedCallback         - Callback triggered when the request has finished sucessfully.   
%    ExceptionOccurredCallback - Callback triggered when the request failed.   
%    ProgressUpdatedCallback   - Callback triggered when the server returns a progress update.   
%    proxyAddress              - The url of the proxyserver.   
%    proxyPort                 - The port of the proxy server.   
%   
%  modelit.web.client.HttpRequest Methods:   
%    HttpRequest                  - Create an HttpRequest.   
%    feval_async                  - Evaluate a Matlab function remotely and asynchronously.   
%    feval                        - Evaluate a Matlab function remotely.   
%    setCredentials               - Set username and password for authenticated request.   
%    setTimeOut                   - Set the milliseconds before a response timeout.   
%    setProxy                     - Set the proxy address.   
%    setMethod                    - The http method, e.g. 'POST', 'GET' or 'PUT'   
%    addParameters                - Add one or more query parameters.   
%    setParameters                - Set the query parameters.   
%    addHeader                    - Add one or more request headers.   
%    setHeaders                   - Set the request headers.   
%    setUrl                       - Set the destination url.   
%    setBody                      - Set the contents of the request Body.   
%    getCallable                  - Get the java object which extends the Callable interface.   
%    setProgressUpdatedCallback   - Set the callback to be executed when the client has received the complete response from the server.   
%    setExceptionOccurredCallback - Set the callback to be executed when the server returns an error.   
%    setInitializedCallback       - Set the callback to be executed when the client starts sending the request.   
%    setCompletedCallback         - Set the callback to be executed when the client has received the complete response from the server.   
%    send                         - Send the request.   
%   
%  NOTE:   
%    Help automatically generated by classHelp (14-Nov-2022 11:07:19)   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
