%  gch - find uicontrol handles with specified tags   
%   
%  CALL:   
%   h = gch(tag, hwin, h)   
%   
%  INPUT:   
%   tag:   
%     String or cellstring with tags   
%   hwin:   
%     (optional) handle of window to search in, default value: gcf   
%   h:   
%     (optional) the default value. Return this value unless it represents   
%      "unitialized" (0). In this case return h = gch(tag, hwin)   
%   
%  OUTPUT:   
%   h:   
%     array with handles of uicontrol object with the specified tag   
%   
%  EXAMPLE:   
%     h=0; %0 means unitialized   
%     HWIN = figure;   
%     if expression   
%         %this line might or might not be reached   
%         h=gch('mytag',HWIN);   
%     end   
%     h=gch('mytag',HWIN,h); %retrieve h if uninitialized   
%   
%  NOTE:   
%   [] is NOT a correct way to denote an unitialize handle   
%   
%  See also: gchbuf, gcjh   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
