%  lm_exitbutton - Add exit button to frame. By default this button is   
%  placed in the upper right corner of a frame.   
%   
%  CALL:   
%   h = lm_exitbutton(hparent, BACKG, callback, btn)   
%   
%  INPUT:   
%   hparent:   
%    handle van parent frame   
%   BACKG:   
%    color for transparant part of button   
%   callback:   
%    additional function to call when frame is closed   
%   btn:   
%    cdata   
%   
%  OUTPUT:   
%   h:   
%    handle van button   
%   
%  EXAMPLE:   
%      positioneer button rechts onder   
%      h=lm_exitbutton(hparent)   
%  				h=lm_exitbutton(h_hlp)   
%  				setappdata(h,'normpos',[ 1 1 0 0]);   
%  				setappdata(h,'pixelpos',[-14 -14 12 12]);   
%      For demo see: test_lm_exitbutton   
%   
%  SEE ALSO: lm_exittext, lm_frameonoff   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
