%  Add a component to a modelit.layout.Frame (legacy syntax)   
%   
%  lm_linkobj - linkt een object aan een mbdframe   
%   
%  CALL:   
%      lm_linkobj(hobj, hframe, property, value, property, value,...)   
%      lm_linkobj(hobj, hframe, struct(property, value))   
%   
%  INPUT:   
%      hobj:   
%          object or array of handles or jacontrol object   
%      hframe:   
%          frame to link to   
%      property:   
%          char string containg property name   
%      value:   
%          corresponding property value. Note: property/value combinations   
%          may als be passed on as a tructure.   
%      <propertye, value>:   
%             clipframe   
%                    see lm_resize   
%             clipping [0 or 1]   
%                    clip object if out of frame borders   
%             enable   
%                    Default: enable status is copied from application data   
%                    "enable" from frame.   
%                    Note   
%                    <on> and <off> is supported. <inactive> is not supported.   
%                         Object  |          Frame   
%                         enabled |       enabled status   
%                                  'Frame=on' 'Frame=off' 'Frame=inactive'   
%                         ==========================================   
%                         0  ==>   'off'      'off'       <not supported>   
%                         1  ==>   'on'       'off'       <not supported>   
%                         2  ==>   'inactive' 'off'       <not supported>   
%                         3  ==>   'off'      'off'       <not supported>   
%                         4  ==>   'on'       'on'        <not supported>   
%                         5  ==>   'inactive' 'inactive'  <not supported>   
%             keeppixelsize : is 1 maintain pixel height and width while alignigning in matrix   
%             keepypos: if 1 ==> position of slider has no effect on this   
%                                object   
%             normpos [X,Y,WIDTH,HEIGHT]   
%                    normalized position relative to LL corner of frame   
%             pixelpos [X,Y,WIDTH,HEIGHT]   
%                    pixel position relative to LL corner of frame   
%                    NOTE: if "normpos" has been set to [0 0 1 1], set   
%                    "pixelpos" to:   
%                      [LEFTMARGIN, LOWERMARGIN, -LEFTMARGIN-RIGHTMARGIN,   
%                      -LOWERMARGIN-TOPMARGIN]   
%             visible   
%                         0  ==> do not show   
%                         1  ==> show   
%             row: align on position (row,col) in matrix   
%             col: align on position (row,col) in matrix   
%   
%    OUTPUT:   
%        none   
%    IMPORTANT NOTE:   
%          lm_linkobj overwrites the application data of the input   
%          component(s) for these properties:   
%               'normpos' 'pixelpos' 'visible' 'enable' 'clipping' 'keepypos'   
%               'clipframe' 'row' 'col' 'keeppixelsize' 'isBorderComponent'   
%          Therefore, apply lm_set after lm_linkobj   
%   
%    AFFECTED OBJECTS   
%        -1- affected application data of frame:   
%            when an object is linked to a frame, this will affect the following   
%            fields of application data of this frame:   
%              uichildren   
%              textchildren   
%              children   
%              javachildren   
%        -2- affected properties of object:   
%              parent: when object-parent differs from frame-parent   
%              units : set to "pixel" when object is of type   
%                      text,uicontainer,hgjavacomponent   
%        -3- affected application data of object, required:   
%              normpos   
%              pixelpos   
%              visible   
%              enable   
%              clipping   
%              keepypos   
%        -4- affected application data of object, optional:   
%              clipframe   
%              row   
%              col   
%              keeppixelsize   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
